Package org.kapott.hbci.sepa.jaxb.camt_052_001_08

## Enum DocumentType6Code

- java.lang.Object
- - java.lang.Enum<DocumentType6Code>
  - - org.kapott.hbci.sepa.jaxb.camt_052_001_08.DocumentType6Code

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Comparable<DocumentType6Code>`

    public enum DocumentType6Code
    extends java.lang.Enum<DocumentType6Code>

Java class for DocumentType6Code.

The following schema fragment specifies the expected content contained within this class.

     <simpleType name="DocumentType6Code">
       <restriction base="{http://www.w3.org/2001/XMLSchema}string">
         <enumeration value="MSIN"/>
         <enumeration value="CNFA"/>
         <enumeration value="DNFA"/>
         <enumeration value="CINV"/>
         <enumeration value="CREN"/>
         <enumeration value="DEBN"/>
         <enumeration value="HIRI"/>
         <enumeration value="SBIN"/>
         <enumeration value="CMCN"/>
         <enumeration value="SOAC"/>
         <enumeration value="DISP"/>
         <enumeration value="BOLD"/>
         <enumeration value="VCHR"/>
         <enumeration value="AROI"/>
         <enumeration value="TSUT"/>
         <enumeration value="PUOR"/>
       </restriction>
     </simpleType>

### Enum Constant Summary

Enum Constants
`AROI`
`BOLD`
`CINV`
`CMCN`
`CNFA`
`CREN`
`DEBN`
`DISP`
`DNFA`
`HIRI`
`MSIN`
`PUOR`
`SBIN`
`SOAC`
`TSUT`
`VCHR`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static DocumentType6Code` `fromValue​(java.lang.String v)`
`java.lang.String` `value()`
`static DocumentType6Code` `valueOf​(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static DocumentType6Code[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### MSIN

    public static final DocumentType6Code MSIN

#### CNFA

    public static final DocumentType6Code CNFA

#### DNFA

    public static final DocumentType6Code DNFA

#### CINV

    public static final DocumentType6Code CINV

#### CREN

    public static final DocumentType6Code CREN

#### DEBN

    public static final DocumentType6Code DEBN

#### HIRI

    public static final DocumentType6Code HIRI

#### SBIN

    public static final DocumentType6Code SBIN

#### CMCN

    public static final DocumentType6Code CMCN

#### SOAC

    public static final DocumentType6Code SOAC

#### DISP

    public static final DocumentType6Code DISP

#### BOLD

    public static final DocumentType6Code BOLD

#### VCHR

    public static final DocumentType6Code VCHR

#### AROI

    public static final DocumentType6Code AROI

#### TSUT

    public static final DocumentType6Code TSUT

#### PUOR

    public static final DocumentType6Code PUOR

### Method Detail

#### values

    public static DocumentType6Code[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (DocumentType6Code c : DocumentType6Code.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static DocumentType6Code valueOf​(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null

#### value

    public java.lang.String value()

#### fromValue

    public static DocumentType6Code fromValue​(java.lang.String v)